# Note that this is NOT a relocatable package
%define name	libglade
%define ver	0.12
%define rel     1
%define prefix	/usr

Summary: libglade library
Name: %name
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libglade/libglade-%{ver}.tar.bz2
Requires: gtk+ > 1.2.0, libxml >= 1.7.2
BuildRoot: /var/tmp/%{name}-root
#Packager: James Henstridge
URL: http://developer.gnome.org/doc/API/libglade/libglade.html
Docdir: %{prefix}/doc

%description
This library allows you to load user interfaces in your program, which are
stored externally.  This allows alteration of the interface without
recompilation of the program.

The interfaces can also be edited with GLADE.

%package devel
Summary: Libraries, includes, etc to develop libglade applications
Group: Development/Libraries
Requires: libglade gtk+-devel libxml-devel

%description devel
Libraries, include files, etc you can use to develop libglade applications.

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix 
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix 
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%attr(-, root, root) %doc AUTHORS ChangeLog NEWS README COPYING
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)

%{prefix}/bin/*
%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/glade
%{prefix}/share/aclocal/*
%{prefix}/lib/libgladeConf.sh

%doc test-libglade.c
%doc *.glade
%doc %{prefix}/share/gnome/html/libglade/*

%changelog
* Fri Mar 31 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.12

* Thu Nov 18 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.8
- requires bumped to gtk+ > 1.2.0, libxml >= 1.7.2

* Sat Oct  2 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.7

* Thu Sep 23 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to 0.6
- changed URL

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Sat Sep 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.4

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions

* Mon Aug 09 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.3

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1
